import os
import time

from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5.QtGui import QIcon,QPixmap
from PyQt5.QtWidgets import QApplication,QMainWindow
import img,sys
import haha.api
import ctypes
ctypes.windll.shell32.SetCurrentProcessExplicitAppUserModelID("myappid")


class Ui_MainWindow(object):

    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(635, 622)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.frame = QtWidgets.QFrame(self.centralwidget)
        self.frame.setGeometry(QtCore.QRect(70, 90, 311, 471))
        self.frame.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        self.frame.setFocusPolicy(QtCore.Qt.StrongFocus)
        self.frame.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.frame.setStyleSheet("\n"
"QFrame{\n"
"border-radius:10px;\n"
"border:3px solid rgb(100, 100,189)\n"
"};\n"
"background-color: rgb(235, 238, 232);\n"
"\n"
"top_left:{    \n"
"border:3px solid black;  \n"
"    };")
        self.frame.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.frame.setMidLineWidth(10)
        self.frame.setObjectName("frame")
        self.layoutWidget = QtWidgets.QWidget(self.frame)
        self.layoutWidget.setGeometry(QtCore.QRect(10, 10, 62, 19))
        self.layoutWidget.setObjectName("layoutWidget")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.layoutWidget)
        self.horizontalLayout.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 2)
        self.horizontalLayout.setSpacing(3)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_2 = QtWidgets.QLabel(self.layoutWidget)
        self.label_2.setStyleSheet("min-width: 16px; \n"
"min-height: 16px;\n"
"max-width:16px; \n"
"max-height: 16px;\n"
"border-radius: 8px;  \n"
"border:none;\n"
"background:#38b48b")
        self.label_2.setText("")
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.label = QtWidgets.QLabel(self.layoutWidget)
        self.label.setStyleSheet("min-width: 16px; \n"
"min-height: 16px;\n"
"max-width:16px; \n"
"max-height: 16px;\n"
"border-radius: 8px;  \n"
"border:none;\n"
"background:#2ca9e1")
        self.label.setText("")
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.label_3 = QtWidgets.QLabel(self.layoutWidget)
        self.label_3.setStyleSheet("min-width: 16px; \n"
"min-height: 16px;\n"
"max-width:16px; \n"
"max-height: 16px;\n"
"border-radius: 8px;  \n"
"border:none;\n"
"background:#ec6d71")
        self.label_3.setText("")
        self.label_3.setObjectName("label_3")
        self.horizontalLayout.addWidget(self.label_3)
        self.label_6 = QtWidgets.QLabel(self.frame)
        self.label_6.setGeometry(QtCore.QRect(10, 20, 291, 21))
        font = QtGui.QFont()
        font.setFamily("Arial")
        font.setPointSize(9)
        font.setBold(True)
        font.setWeight(75)
        self.label_6.setFont(font)
        self.label_6.setStyleSheet("border:none;\n"
"color: rgb(100, 100, 189);")
        self.label_6.setTextFormat(QtCore.Qt.AutoText)
        self.label_6.setWordWrap(False)
        self.label_6.setTextInteractionFlags(QtCore.Qt.LinksAccessibleByMouse)
        self.label_6.setObjectName("label_6")
        self.pushButton_3 = QtWidgets.QPushButton(self.frame)
        self.pushButton_3.setGeometry(QtCore.QRect(40, 330, 231, 31))
        self.pushButton_3.setStyleSheet("\n"
"border:0.5px solid rgb(100, 100,189)")
        self.pushButton_3.setObjectName("pushButton_3")
        self.label_7 = QtWidgets.QLabel(self.frame)
        self.label_7.setGeometry(QtCore.QRect(20, 50, 61, 21))
        font = QtGui.QFont()
        font.setFamily("幼圆")
        font.setPointSize(10)
        font.setBold(False)
        font.setWeight(50)
        self.label_7.setFont(font)
        self.label_7.setStyleSheet("border:none")
        self.label_7.setObjectName("label_7")
        self.pushButton = QtWidgets.QPushButton(self.frame)
        self.pushButton.setGeometry(QtCore.QRect(259, 10, 14, 14))
        self.pushButton.setStyleSheet("QPushButton{\n"
"border-image: url(:/icon/icon/min.png);\n"
"min-width:     13.5px;     \n"
"min-height:    13.5px;    \n"
"max-width:     13.5px;      \n"
"max-height:    13.5px;      \n"
"border-radius:10px;\n"
"border:none;\n"
"}\n"
"\n"
"\n"
"\n"
"\n"
" QPushButton:hover{        border: 2px;\n"
"                        border-radius:2pt;\n"
"                        \n"
"                        }\n"
"")
        self.pushButton.setText("")
        self.pushButton.setObjectName("pushButton")
        self.pushButton_2 = QtWidgets.QPushButton(self.frame)
        self.pushButton_2.setGeometry(QtCore.QRect(280, 10, 15, 15))
        self.pushButton_2.setFocusPolicy(QtCore.Qt.NoFocus)
        self.pushButton_2.setContextMenuPolicy(QtCore.Qt.NoContextMenu)
        self.pushButton_2.setStyleSheet("QPushButton{    \n"
"border-image: url(:/icon/icon/close.png);\n"
"min-width:     15px;     \n"
"min-height:    15px;    \n"
"max-width:     15px;     \n"
"max-height:    15px;     \n"
"border-radius:10px;\n"
"border:none\n"
"}\n"
"\n"
" QPushButton:hover{        border: 2px;\n"
"                        border-radius:2pt;\n"
"                        \n"
"                        }")
        self.pushButton_2.setText("")
        self.pushButton_2.setObjectName("pushButton_2")
        self.comboBox = QtWidgets.QComboBox(self.frame)
        self.comboBox.setGeometry(QtCore.QRect(40, 80, 231, 41))
        self.comboBox.setStyleSheet("QComboBox{\n"
"                        font: 25 12pt \"Microsoft YaHei\";\n"
"                        border: 0.5px solid rgb(100, 100, 189)\n"
"                        \n"
"                        }\n"
"                        QComboBox::drop-down {\n"
"                        border: none;\n"
"                        }\n"
"\n"
"                        QComboBox::down-arrow {\n"
"                        \n"
"                        \n"
"    image: url(:/icon/icon/xl.png);\n"
"                        padding: 0 0 0 0;\n"
"                        height:25px;\n"
"                        width:25px;\n"
"                        }\n"
"\n"
"                        QComboBox:on { /* shift the text when the popup opens */\n"
"                        padding-top: 3px;\n"
"                        padding-left: 4px;\n"
"                        }\n"
"\n"
"                        QComboBox QAbstractItemView{\n"
"                        border: 1px solid gray;\n"
"                        border-radius:0px;\n"
"                        color: black;\n"
"                        background-color: #f7f7f7;\n"
"                        selection-color:white;\n"
"                        select-background-color:blue;*/\n"
"                        }")
        self.comboBox.setObjectName("comboBox")
        self.comboBox.addItem("")
        self.comboBox.addItem("")
        self.comboBox.addItem("")
        self.pushButton_4 = QtWidgets.QPushButton(self.frame)
        self.pushButton_4.setGeometry(QtCore.QRect(40, 370, 231, 31))
        self.pushButton_4.setStyleSheet("\n"
"border:0.5px solid rgb(100, 100,189)")
        self.pushButton_4.setObjectName("pushButton_4")
        self.label_8 = QtWidgets.QLabel(self.frame)
        self.label_8.setGeometry(QtCore.QRect(20, 230, 61, 21))
        font = QtGui.QFont()
        font.setFamily("幼圆")
        font.setPointSize(10)
        font.setBold(False)
        font.setWeight(50)
        self.label_8.setFont(font)
        self.label_8.setStyleSheet("border:none")
        self.label_8.setObjectName("label_8")
        self.label_9 = QtWidgets.QLabel(self.frame)
        self.label_9.setGeometry(QtCore.QRect(40, 260, 231, 41))
        font = QtGui.QFont()
        font.setFamily("幼圆")
        font.setPointSize(13)
        font.setBold(False)
        font.setWeight(50)
        self.label_9.setFont(font)
        self.label_9.setStyleSheet("border-radius:none;\n"
"border:1px solid rgb(100, 100,189)")
        self.label_9.setTextFormat(QtCore.Qt.AutoText)
        self.label_9.setAlignment(QtCore.Qt.AlignCenter)
        self.label_9.setObjectName("label_9")
        self.pushButton_5 = QtWidgets.QPushButton(self.frame)
        self.pushButton_5.setGeometry(QtCore.QRect(40, 410, 231, 31))
        self.pushButton_5.setStyleSheet("\n"
"border:0.5px solid rgb(100, 100,189)")
        self.pushButton_5.setObjectName("pushButton_5")
        self.label_10 = QtWidgets.QLabel(self.frame)
        self.label_10.setGeometry(QtCore.QRect(110, 10, 111, 21))
        font = QtGui.QFont()
        font.setFamily("微软雅黑 Light")
        font.setPointSize(8)
        font.setBold(False)
        font.setWeight(50)
        self.label_10.setFont(font)
        self.label_10.setStyleSheet("border:none")
        self.label_10.setAlignment(QtCore.Qt.AlignHCenter|QtCore.Qt.AlignTop)
        self.label_10.setObjectName("label_10")
        self.label_11 = QtWidgets.QLabel(self.frame)
        self.label_11.setGeometry(QtCore.QRect(230, 450, 71, 16))
        font = QtGui.QFont()
        font.setFamily("幼圆")
        font.setPointSize(10)
        font.setBold(False)
        font.setWeight(50)
        self.label_11.setFont(font)
        self.label_11.setStyleSheet("border:none")
        self.label_11.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_11.setObjectName("label_11")
        self.label_12 = QtWidgets.QLabel(self.frame)
        self.label_12.setGeometry(QtCore.QRect(10, 450, 71, 16))
        font = QtGui.QFont()
        font.setFamily("幼圆")
        font.setPointSize(8)
        font.setBold(False)
        font.setWeight(50)
        self.label_12.setFont(font)
        self.label_12.setStyleSheet("border:none")
        self.label_12.setObjectName("label_12")
        self.label_13 = QtWidgets.QLabel(self.frame)
        self.label_13.setGeometry(QtCore.QRect(20, 140, 61, 21))
        font = QtGui.QFont()
        font.setFamily("幼圆")
        font.setPointSize(10)
        font.setBold(False)
        font.setWeight(50)
        self.label_13.setFont(font)
        self.label_13.setStyleSheet("border:none")
        self.label_13.setObjectName("label_13")
        self.comboBox_2 = QtWidgets.QComboBox(self.frame)
        self.comboBox_2.setGeometry(QtCore.QRect(40, 170, 231, 41))
        self.comboBox_2.setStyleSheet("QComboBox{\n"
"                        font: 25 12pt \"Microsoft YaHei\";\n"
"                        border: 0.5px solid rgb(100, 100, 189)\n"
"                        \n"
"                        }\n"
"                        QComboBox::drop-down {\n"
"                        border: none;\n"
"                        }\n"
"\n"
"                        QComboBox::down-arrow {\n"
"                        \n"
"                        \n"
"    image: url(:/icon/icon/xl.png);\n"
"                        padding: 0 0 0 0;\n"
"                        height:25px;\n"
"                        width:25px;\n"
"                        }\n"
"\n"
"                        QComboBox:on { /* shift the text when the popup opens */\n"
"                        padding-top: 3px;\n"
"                        padding-left: 4px;\n"
"                        }\n"
"\n"
"                        QComboBox QAbstractItemView{\n"
"                        border: 1px solid gray;\n"
"                        border-radius:0px;\n"
"                        color: black;\n"
"                        background-color: #f7f7f7;\n"
"                        selection-color:white;\n"
"                        select-background-color:blue;*/\n"
"                        }")
        self.comboBox_2.setObjectName("comboBox_2")
        self.comboBox_2.addItem("")
        self.comboBox_2.addItem("")
        # self.comboBox_2.addItem("")
        # self.comboBox_2.addItem("")
        # self.comboBox_2.addItem("")
        # self.comboBox_2.addItem("")
        # self.comboBox_2.addItem("")
        self.label_4 = QtWidgets.QLabel(self.frame)
        self.label_4.setGeometry(QtCore.QRect(40, 310, 231, 16))
        self.label_4.setStyleSheet("\n"
"border:none")
        self.label_4.setText("")
        self.label_4.setAlignment(QtCore.Qt.AlignCenter)
        self.label_4.setObjectName("label_4")
        self.label_11.raise_()
        self.label_6.raise_()
        self.layoutWidget.raise_()
        self.pushButton_3.raise_()
        self.label_7.raise_()
        self.pushButton.raise_()
        self.pushButton_2.raise_()
        self.comboBox.raise_()
        self.pushButton_4.raise_()
        self.label_8.raise_()
        self.label_9.raise_()
        self.pushButton_5.raise_()
        self.label_10.raise_()
        self.label_12.raise_()
        self.label_13.raise_()
        self.comboBox_2.raise_()
        self.label_4.raise_()
        MainWindow.setCentralWidget(self.centralwidget)
        self.retranslateUi(MainWindow)
        self.pushButton_2.clicked.connect(MainWindow.close) # type: ignore
        self.pushButton.clicked.connect(MainWindow.showMinimized) # type: ignore
        self.pushButton_3.clicked.connect(self.show_open)
        self.pushButton_4.clicked.connect(self.show_close)
        self.pushButton_3.clicked.connect(self.local_open)
        self.pushButton_4.clicked.connect(self.local_close)
        self.pushButton_5.clicked.connect(self.open_local_hosts)




        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):

        _translate = QtCore.QCoreApplication.translate
        self.label_6.setText(_translate("MainWindow", "__________________________________________________________________________________________________________________________"))
        self.pushButton_3.setText(_translate("MainWindow", "开启修改"))
        self.label_7.setText(_translate("MainWindow", "通道选择："))
        self.comboBox.setItemText(0, _translate("MainWindow", "通道一(GitHub520)"))
        self.comboBox.setItemText(1, _translate("MainWindow", "通道二(ineo6)"))
        self.comboBox.setItemText(2, _translate("MainWindow", "通道三(supome.cn/hosts)"))
        self.pushButton_4.setText(_translate("MainWindow", "取消修改"))
        self.label_8.setText(_translate("MainWindow", "当前状态："))
        self.label_9.setText(_translate("MainWindow", "未开启"))
        self.pushButton_5.setText(_translate("MainWindow", "打开本地hosts"))
        self.label_10.setText(_translate("MainWindow", "github 加速工具"))
        self.label_11.setText(_translate("MainWindow", "supome.cn"))
        self.label_12.setText(_translate("MainWindow", "2022/11/4"))
        self.label_13.setText(_translate("MainWindow", "代理模式:"))
        self.comboBox_2.setItemText(0, _translate("MainWindow", "默认(本地)"))
        self.comboBox_2.setItemText(1, _translate("MainWindow", "暂未开启，有时间更新"))
        # self.comboBox_2.setItemText(2, _translate("MainWindow", "223.5.5.5"))
        # self.comboBox_2.setItemText(3, _translate("MainWindow", "119.29.29.29"))
        # self.comboBox_2.setItemText(4, _translate("MainWindow", "180.76.76.76"))
        # self.comboBox_2.setItemText(5, _translate("MainWindow", "180.76.76.76"))
        # self.comboBox_2.setItemText(6, _translate("MainWindow", "8.8.8.8"))



    def show_open(self):
        tongdao = self.comboBox.currentText()
        td=tongdao.split("(")[0]
        self.label_9.setText('已开启'+td)
        self.label_4.setText(td+'开启成功，请勿重复点击开启')
    def show_close(self):
        self.label_9.setText('已关闭')
        self.label_4.clear()
    def local_open(self):
        tongdao=self.comboBox.currentIndex()
        if tongdao == 0:
                haha.api.open_1()
        if tongdao == 1:
                haha.api.open_2()
        if tongdao == 2:
                haha.api.open_3()

    def local_close(self):
        haha.api.close_api()

    def open_local_hosts(self):
        os.system("notepad.exe C:\Windows\System32\drivers\etc\hosts")
















class LoginWindow(QMainWindow):
        def __init__(self):
            super().__init__()
            self.ui = Ui_MainWindow()
            self.ui.setupUi(self)
            self.setWindowFlag(QtCore.Qt.FramelessWindowHint)
            self.setAttribute(QtCore.Qt.WA_TranslucentBackground)
            self.show()

        def mousePressEvent(self, event):
                if event.button() == QtCore.Qt.LeftButton and self.isMaximized() == False:
                        self.m_flag = True
                        self.m_Position = event.globalPos() - self.pos()  # 获取鼠标相对窗口的位置
                        event.accept()
                        self.setCursor(QtGui.QCursor(QtCore.Qt.OpenHandCursor))  # 更改鼠标图标

        def mouseMoveEvent(self, mouse_event):
                if QtCore.Qt.LeftButton and self.m_flag:
                        self.move(mouse_event.globalPos() - self.m_Position)  # 更改窗口位置
                        mouse_event.accept()

        def mouseReleaseEvent(self, mouse_event):
                self.m_flag = False
                self.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))



if __name__ == '__main__':
        app = QApplication(sys.argv)
        win = LoginWindow()
        # win.setWindowIcon(QtGui.QIcon("./logo.ico"))
        icon = QIcon()
        icon.addPixmap(QPixmap('logo.ico'))
        win.setWindowIcon(icon)
        sys.exit(app.exec_())


